Loading...
Searching...
No Matches
Ogre::TransformKeyFrame Class Reference
Core » Animation

Specialised KeyFrame which stores a full transform. More...

`#include <OgreKeyFrame.h>`

Inheritance diagram for Ogre::TransformKeyFrame:
[legend]

## Public Member Functions

| TransformKeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
| ~TransformKeyFrame ()
KeyFrame * | _clone (AnimationTrack *newParent) const override
| Clone a keyframe (internal use only).
virtual const Quaternion & | getRotation (void) const
| Gets the rotation applied by this keyframe.
virtual const Vector3 & | getScale (void) const
| Gets the scaling factor applied by this keyframe.
const Vector3 & | getTranslate (void) const
| Gets the translation applied by this keyframe.
virtual void | setRotation (const Quaternion &rot)
| Sets the rotation applied by this keyframe.
virtual void | setScale (const Vector3 &scale)
| Sets the scaling factor applied by this keyframe to the animable object at it's time index.
virtual void | setTranslate (const Vector3 &trans)
| Sets the translation associated with this keyframe.
Public Member Functions inherited from Ogre::KeyFrame
| KeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
virtual | ~KeyFrame ()
Real | getTime (void) const
| Gets the time of this keyframe in the animation sequence.

## Detailed Description

Specialised KeyFrame which stores a full transform.

## Constructor & Destructor Documentation

## TransformKeyFrame()

Ogre::TransformKeyFrame::TransformKeyFrame | ( | const AnimationTrack * | parent,
|  | Real | time )

Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.

## ~TransformKeyFrame()

Ogre::TransformKeyFrame::~TransformKeyFrame | ( |  | ) |

inline

## Member Function Documentation

## setTranslate()

virtual void Ogre::TransformKeyFrame::setTranslate | ( | const Vector3 & | trans | ) |

virtual

Sets the translation associated with this keyframe.

The translation factor affects how much the keyframe translates (moves) it's animable object at it's time index.

Parameters

  trans | The vector to translate by

## getTranslate()

const Vector3 & Ogre::TransformKeyFrame::getTranslate | ( | void |  | ) | const

Gets the translation applied by this keyframe.

## setScale()

virtual void Ogre::TransformKeyFrame::setScale | ( | const Vector3 & | scale | ) |

virtual

Sets the scaling factor applied by this keyframe to the animable object at it's time index.

Parameters

  scale | The vector to scale by (beware of supplying zero values for any component of this vector, it will scale the object to zero dimensions)

## getScale()

virtual const Vector3 & Ogre::TransformKeyFrame::getScale | ( | void |  | ) | const

virtual

Gets the scaling factor applied by this keyframe.

## setRotation()

virtual void Ogre::TransformKeyFrame::setRotation | ( | const Quaternion & | rot | ) |

virtual

Sets the rotation applied by this keyframe.

Parameters

  rot | The rotation applied; use Quaternion methods to convert from angle/axis or Matrix3 if you don't like using Quaternions directly.

## getRotation()

virtual const Quaternion & Ogre::TransformKeyFrame::getRotation | ( | void |  | ) | const

virtual

Gets the rotation applied by this keyframe.

## _clone()

KeyFrame * Ogre::TransformKeyFrame::_clone | ( | AnimationTrack * | newParent | ) | const

override virtual

Clone a keyframe (internal use only).

Reimplemented from Ogre::KeyFrame.

References Ogre::KeyFrame::KeyFrame().

The documentation for this class was generated from the following file:

- OgreKeyFrame.h